FF 3.0.3 Rated 4 out of 5 stars

There is no compatibility with FF 3.0.3

//For IE just use IETab addon

This review is for a previous version of the add-on (0.6.1).